Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface CompletedTaskRecord

All Superinterfaces:
  PropertiesCreator, java.io.Serializable

    public interface CompletedTaskRecord

extends PropertiesCreator, java.io.Serializable

The `CompletedTaskRecord` contains information of a completed publish task,
including summary information of a completed task, such as when it is completed, whether it is successful or any error occurs, etc,
and more detailed result information wrapped in a `TaskSuccessInfo`, got via `getSuccessInfo()`.

See Also:
  `TaskSuccessInfo`

Method Summary
`java.lang.String` | `getCatalogFile()` Returns the report catalog of the completed task.
`java.lang.String` | `getCompletedRecordID()` Gets the record ID of the completed task.
`java.util.Date` | `getCompletedTime()` Gets the completed time of the completed task.
`java.lang.String` | `getEngineStatus()` Returns the report engine status message of the completed task.
`java.lang.String` | `getErrorMessage()` Returns the error message of the completed task.
`int` | `getLaunchType()` Returns the launch type of the completed task.
`java.lang.String` | `getLogicOfConditions()` Returns the logic between the trigger and the time condition of this task.
`java.lang.String` | `getParamFile()` Returns the parameter file name of the report of the completed task.
`java.lang.String` | `getReportFile()` Returns the report name of the completed task.
`java.lang.String` | `getReportNames()` Returns a String containing report names.
`java.lang.String` | `getResults()` Deprecated. For 10.0, replaced by `getSuccessInfo()`. For further version, the behavior is not specified.
`java.lang.String` | `getSubmitter()` Returns the submitter of the completed task.
`TaskSuccessInfo` | `getSuccessInfo()` Gets detailed information for exporting every format file. Regardless whether successful or not (`isSuccessful()`), the detailed information is available to you.
`java.lang.String` | `getTaskClass()` Returns the task type of the completed task.
`java.lang.String` | `getTaskID()` Returns the task ID of the completed task.
`java.lang.String` | `getTaskName()` Returns the task name of the completed task.
`java.lang.String` | `getTrigger()` Returns the bound trigger name of the active task.
`java.lang.String` | `getVersionID()` Returns the version ID of the "Publish to Version system" task.
`boolean` | `isMissed()` Returns whether this completed task is missed or not.
`boolean` | `isSuccessful()` Returns if the completed task is successful. If the task is failed (the task completed with error), then call `getErrorMessage()` and `getEngineStatus()` to get error reason.

Methods inherited from interface jet.server.api.PropertiesCreator
`toProperties`

Method Detail

### getCompletedRecordID

    java.lang.String getCompletedRecordID()

  Gets the record ID of the completed task.

  Returns:
    the record ID of the completed task.
  See Also:
    `CompletedTaskTable.getCompletedTaskRecord(String).`

### getCompletedTime

    java.util.Date getCompletedTime()

  Gets the completed time of the completed task.

  Returns:
    the completed time of the completed task.

### isSuccessful

    boolean isSuccessful()

  Returns if the completed task is successful.
  If the task is failed (the task completed with error), then call `getErrorMessage()` and `getEngineStatus()` to get error reason.
  Regardless whether successful or not, you can dig details information via `getSuccessInfo()`.

  Returns:
    If the completed task is successful return `true`, otherwise return `false`.

### getSuccessInfo

    TaskSuccessInfo getSuccessInfo()

  Gets detailed information for exporting every format file.
  Regardless whether successful or not (`isSuccessful()`), the detailed information is available to you.

  Returns:
    detailed information for exporting every format file.
  See Also:
    `TaskSuccessInfo`

### getEngineStatus

    java.lang.String getEngineStatus()

  Returns the report engine status message of the completed task.

  Returns:
    the report engine status message of the completed task.

### getErrorMessage

    java.lang.String getErrorMessage()

  Returns the error message of the completed task.

  Returns:
    the error message of the completed task.

### getSubmitter

    java.lang.String getSubmitter()

  Returns the submitter of the completed task.

  Returns:
    the submitter of the completed task.

### getTaskID

    java.lang.String getTaskID()

  Returns the task ID of the completed task.

  Returns:
    the task ID of the completed task.

### getTaskName

    java.lang.String getTaskName()

  Returns the task name of the completed task.

  Returns:
    the task name of the completed task.

### getTaskClass

    java.lang.String getTaskClass()

  Returns the task type of the completed task.

  Returns:
    the task type of the completed task.

### getLaunchType

    int getLaunchType()

  Returns the launch type of the completed task. The result may be one of:
  `APIConst.IMMEDIATELY`, `APIConst.AT_TIME`, `APIConst.PERIODICALLY`

  Returns:
    the launch type of the completed task.

### getCatalogFile

    java.lang.String getCatalogFile()

  Returns the report catalog of the completed task.

  Returns:
    the report catalog of the completed task.

### getReportFile

    java.lang.String getReportFile()

  Returns the report name of the completed task.

  Returns:
    the report name of the completed task.

### getParamFile

    java.lang.String getParamFile()

  Returns the parameter file name of the report of the completed task.

  Returns:
    the parameter filename of the report of the completed task.

### getResults

    java.lang.String getResults()

  Deprecated. For 10.0, replaced by `getSuccessInfo()`. For further version, the behavior is not specified.

  Returns the report results of the completed task (only for publish to disk result files). Multiple files are separated by semicolon(";").

  Returns:
    the report results of the completed task, separated by semicolon (";").
  See Also:
    `getSuccessInfo()`

### getVersionID

    java.lang.String getVersionID()

  Returns the version ID of the "Publish to Version system" task.

  Returns:
    the version ID of the "Publish to Version system" task.

### isMissed

    boolean isMissed()

  Returns whether this completed task is missed or not.

  Returns:
    true when it is missed, false when not.

### getTrigger

    java.lang.String getTrigger()

  Returns the bound trigger name of the active task.

  Returns:
    the bound trigger name. It is null if no trigger is bound with this task.

### getLogicOfConditions

    java.lang.String getLogicOfConditions()

  Returns the logic between the trigger and the time condition of this task.

  Returns:
    the logic name. It is null if no trigger is bound with this task, or the launch type of this task is immediately.

### getReportNames

    java.lang.String getReportNames()

  Returns a String containing report names. Multiple reports are separated by comma (",").

  Returns:
    a report names string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD